commit:     fccd683ac86b1ed576da023c16a86f5b3d898e71
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Sat Oct 14 06:43:55 2023 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Sat Oct 14 06:54:24 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=fccd683a

dev-ruby/activestorage: add 7.1.1

Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>

 dev-ruby/activestorage/Manifest                   |  1 +
 dev-ruby/activestorage/activestorage-7.1.1.ebuild | 71 +++++++++++++++++++++++
 2 files changed, 72 insertions(+)

diff --git a/dev-ruby/activestorage/Manifest b/dev-ruby/activestorage/Manifest
index 655ecd754075..8fc48fae7c9d 100644
--- a/dev-ruby/activestorage/Manifest
+++ b/dev-ruby/activestorage/Manifest
@@ -3,3 +3,4 @@ DIST rails-6.1.7.6.tgz 11040086 BLAKE2B 
8b5311752952403cf8eae31b5d8e8d376c4b449f
 DIST rails-7.0.7.2.tgz 11085454 BLAKE2B 
05574b6df7e28e409949fb311110fd7137d61c31072b394f950a180135201132f3cf9c5cca8f76c661827d7a5e807bfc4b0c97a449b8941115cbe3a0f2f84f62
 SHA512 
41fad11bd272ea21f7d15d855da04230f0801d9926f6ce3300754f1b2b9d691f18e55855b1a71e44faaf483b397b02ac11c75eb415b7c8976868bc9aefe5b005
 DIST rails-7.0.7.tgz 11071730 BLAKE2B 
215642609be86bd9977dc2cdb09a76c64e99260359d0a60aa411a5df572d7699a5f9959ea8aa0ff116ad75110db060436abcfb17da689b1a6aa819fd56373279
 SHA512 
75f952dfe4d9abc1473dfb017e42daec6358a45efad14a3b39a1b2dc5fec566757c2225fe920a4e872e896966cfb1d4b6e1c40c93d2043aec3bf5bd25ff7c956
 DIST rails-7.0.8.tgz 11073254 BLAKE2B 
2aee047a365acb0890ef3afbccfe323fedccf7b54214aa1c2f92b7a7aaa64c275c1e03f8f97e6a2e30281224ba30703d18b40aeee9b4e7fb6f035a4a7716a054
 SHA512 
0e9feb5bd0360868c3109152d8ea414b65d36d33a5dbb96b199cfa6c4335800d6c392e0fbcbfa453a02fd75924a297a65caf04948895de53db43700478dbeb11
+DIST rails-7.1.1.tgz 10871844 BLAKE2B 
12ebcb567f9a8eca58fa0a9c066a8c9c904130a514daa079be4625e0b0ef0ab5744d3dfbff01a146c9053a36ecb77e4f4d381ce8167ec511badcbba7f090b499
 SHA512 
9a18dc102acaaa1e66aa437ea3de2cc41acd04b7a52792fb686e88f14111a0e32e25a6d093f26badfdca2a932cf458720cbdb1efbcc00c766157741ea99a32f1

diff --git a/dev-ruby/activestorage/activestorage-7.1.1.ebuild 
b/dev-ruby/activestorage/activestorage-7.1.1.ebuild
new file mode 100644
index 000000000000..c5d7c1605b5a
--- /dev/null
+++ b/dev-ruby/activestorage/activestorage-7.1.1.ebuild
@@ -0,0 +1,71 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby31 ruby32"
+
+RUBY_FAKEGEM_RECIPE_DOC=""
+RUBY_FAKEGEM_DOCDIR=""
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.md"
+
+RUBY_FAKEGEM_GEMSPEC="activestorage.gemspec"
+
+RUBY_FAKEGEM_EXTRAINSTALL="app config db"
+
+RUBY_FAKEGEM_BINWRAP=""
+
+inherit ruby-fakegem
+
+DESCRIPTION="Attach cloud and local files in Rails applications"
+HOMEPAGE="https://github.com/rails/rails";
+SRC_URI="https://github.com/rails/rails/archive/v${PV}.tar.gz -> 
rails-${PV}.tgz"
+
+LICENSE="MIT"
+SLOT="$(ver_cut 1-2)"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86"
+IUSE=""
+
+RUBY_S="rails-${PV}/${PN}"
+
+DEPEND+=" test? ( app-text/mupdf media-gfx/imagemagick[jpeg,png,tiff] 
media-video/ffmpeg app-text/poppler[utils] ) "
+
+ruby_add_rdepend "
+       ~dev-ruby/actionpack-${PV}:*
+       ~dev-ruby/activejob-${PV}:*
+       ~dev-ruby/activerecord-${PV}:*
+       ~dev-ruby/activesupport-${PV}:*
+       dev-ruby/marcel:1.0
+"
+
+ruby_add_bdepend "
+       test? (
+               ~dev-ruby/railties-${PV}
+               >=dev-ruby/image_processing-1.2:0
+               =dev-ruby/minitest-5.15*:*
+               dev-ruby/mini_magick
+               dev-ruby/mocha
+               dev-ruby/rake
+               dev-ruby/sprockets-rails
+               >=dev-ruby/sqlite3-1.6.6
+       )"
+
+all_ruby_prepare() {
+               # Remove items from the common Gemfile that we don't need for 
this
+               # test run. This also requires handling some gemspecs.
+               sed -e 
"/\(system_timer\|sdoc\|w3c_validators\|pg\|execjs\|jquery-rails\|'mysql'\|journey\|ruby-prof\|stackprof\|benchmark-ips\|kindlerb\|turbolinks\|coffee-rails\|debugger\|redcarpet\|bcrypt\|uglifier\|aws-sdk-s3\|aws-sdk-sns\|google-cloud-storage\|azure-storage\|blade\|bootsnap\|hiredis\|qunit-selenium\|chromedriver-helper\|redis\|rb-inotify\|stackprof\|websocket-client-simple\|libxml-ruby\|sass-rails\|capybara\|rack-cache\|selenium\|dalli\|listen\|connection_pool\|puma\|mysql2\|webdrivers\|webpacker\|rexml\|webmock\|webrick\|propshaft\|sprockets-export\|rack-test\|terser\|cookiejar\|cgi\|web-console\|trilogy\|error_highlight\)/
 s:^:#:" \
+                       -e '/stimulus-rails/,/tailwindcss-rails/ s:^:#:' \
+                       -e '/group :\(doc\|job\|lint\|rubocop\|test\)/,/^end/ 
s:^:#:' \
+                       -e '/sqlite/ s/1.6.4/99/' \
+                       -i ../Gemfile || die
+               rm ../Gemfile.lock || die
+
+               # Use mini_magick since vips is not packaged on Gentoo
+               sed -i -e '/mini_magick/aActiveStorage.variant_processor = 
:mini_magick' test/test_helper.rb || die
+               # Avoid vips-specific tests
+               sed -e '/\(resized and monochrome variation of JPEG 
blob\|monochrome with default variant_processor\|disabled variation of JPEG 
blob\)/askip "No vips support"' \
+                       -i test/models/variant_test.rb || die
+
+               # Avoid test where different ffmpeg versions apply different 
rounding for the duration.
+               sed -i -e '/1.022000/ s:^:#:' 
test/analyzer/video_analyzer_test.rb || die
+}

Reply via email to